
Name:       perl-Net-SSH2
Version:    0.53
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Support for the SSH 2 protocol via libssh2.
Source:     http://search.cpan.org/CPAN/authors/id/R/RK/RKITOVER/Net-SSH2-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Net-SSH2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))



%description
'Net::SSH2' is a perl interface to the libssh2 (the http://www.libssh2.org
manpage) library. It supports the SSH2 protocol (there is no support for
SSH1) with all of the key exchanges, ciphers, and compression of libssh2.

Unless otherwise indicated, methods return a true value on success and
false on failure; use the error method to get extended error information.

The typical order is to create the SSH2 object, set up the connection
methods you want to use, call connect, authenticate with one of the 'auth'
methods, then create channels on the connection to perform commands.

Rebuilt for the Anvil! HA platform.

%prep
%setup -q -n Net-SSH2-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto
%{_mandir}/man3/*.3*

%changelog
* Mon Dec 22 2014 %{packager} 0.53-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
